### org.jfree.layouting.renderer.process

# Class ParagraphBreakState

- `java.lang.Object`
- - `org.jfree.layouting.renderer.process.ParagraphBreakState`

`public class ParagraphBreakState`
`extends java.lang.Object`

Used in the Infinite*AxisLayoutSteps.

Author:
  Thomas Morgner

  ## Constructor Summary

  `ParagraphBreakState(ParagraphRenderBox paragraph)`

  ## Method Summary

  `void`

  `add(InlineSequenceElement element)`

  `void`

  `clear()`

  `ParagraphRenderBox`

  `getParagraph()`

  `InlineSequenceElement[]`

  `getSequence()`

  `Object`

  `getSuspendItem()`

  `boolean`

  `isContainsContent()`

  `boolean`

  `isSuspended()`

  `void`

  `setSuspendItem(Object suspendItem)`

## Constructor Details

### ParagraphBreakState

    public ParagraphBreakState(ParagraphRenderBox paragraph)

## Method Details

### add

    public void add(InlineSequenceElement element)

### clear

    public void clear()

### getParagraph

    public ParagraphRenderBox getParagraph()

### getSequence

    public InlineSequenceElement[] getSequence()

### getSuspendItem

    public Object getSuspendItem()

### isContainsContent

    public boolean isContainsContent()

### isSuspended

    public boolean isSuspended()

### setSuspendItem

    public void setSuspendItem(Object suspendItem)